tf_recipes.fruits = { {'apple', 'Apple', '#ecff56','default:apple'},
 {'grapes', 'Grape', '#b20056','farming:grapes'},
 {'rhubarb', 'Rhubarb', '#fb8461','farming:rhubarb'},
 {'blueberries', 'Blueberry', '#521dcb','default:blueberries'},
 {'tomatos', 'Tomatos', '#ec0812','farming:tomato'},
 {'carrot', 'Carrot', '#ecec12','farming:carrot'},
 {'beetroot', 'Beetroot', '#881212','farming:beetroot'},
 {'lemon', 'Lemon', '#888812','ethereal:lemon'},
 {'orange', 'Orange', '#886012','ethereal:orange'},
 {'pineapple', 'Pineapple', '#606012','farming:pineapple'},
}

if minetest.registered_items["bucket:bucket_empty"] then
    tf_recipes.bucket = "bucket:bucket_empty"
end

if minetest.registered_items["vessels:glass_bottle"] then
    tf_recipes.bottle = "vessels:glass_bottle"
end

if minetest.registered_items["vessels:drinking_glass"] then
    tf_recipes.glass = "vessels:drinking_glass"
end

if minetest.registered_items["vessels:glass_water"] then
    tf_recipes.glasswater = "vessels:glass_water"
end

if minetest.registered_items["ethereal:bowl"] then
    tf_recipes.bowl = "ethereal:bowl"
end
